#jinja2:lstrip_blocks: True
{{ ansible_managed | comment }}

pid = /var/run/stunnel/stunnel.pid
output = {{ wl_home }}/stunnel/logs/stunnel.log
debug = 7

{% for rec in stunnel_endpoint -%}
[{{ rec.name }}]
accept = {{ rec.accept }}
client = {{ rec.client | default('yes') }}
{% if rec.protocol is defined %}
protocol = {{ rec.protocol | default('smtp') }}
{% endif %}
sslVersion = {{ rec.sslVersion | default('TLSv1.2') }}
{% if rec.connect is defined %}
connect = {{ rec.connect | default('smtp.email.eu-frankfurt-1.oci.oraclecloud.com:25') }}
{% endif %}
{% endfor %}
